0

I'm trying to install Percona Toolkit on the server where there is already mysql-community-server5.5.52 is running. I require pt-table-checksum and pt-table-snc utility, so I ran:

yum install percona-toolkit

I got the following error:

Transaction Check Error: file /etc/my.cnf from install of Percona-Server-shared-51-5.1.73-rel14.12.625.rhel6.x86_64 conflicts with file from package mysql-community-server-5.5.54-2.el6.x86_64

My setup is:

  • OS: CentOS release 6.8
  • Mysql: mysql-community-server-5.5.54-2.el6.x86_64
  • Percona Toolkit: 3.0.2
  • What is your actual question? This sounds a lot like a) you need to pick which DB to use, and b) like you could solve this step of the issue by simply doing a mv /etc/my.cnf /etc/my.cnf.community_server_config. – iwaseatenbyagrue Apr 6 '17 at 16:17
0

Not sure if it helps but digitalocean.com has a tutorial on replacing MySQL with Percona.

https://www.digitalocean.com/community/tutorials/how-to-install-a-fresh-percona-server-or-replace-mysql

  • Thanks for the information, but we already have mysql community service installed but I want to install percona toolkit (for using pt-table-sync and pt_table_checksum) without breaking my mysql-server. How can it be done??? – user3637899 Apr 6 '17 at 5:31
  • maybe this link can help (it is a bit old - dated 2013)... percona.com/blog/2013/02/21/… – RMathis Apr 6 '17 at 14:24
0

Install this rpm package and then install Percona Toolkit 3.0.2 after:

MySQL-shared-compat-5.5.54-1.el6.x86_64

# rpm -qa|grep -i 'mysql\|percona'
MySQL-client-5.5.54-1.el6.x86_64
MySQL-shared-5.5.54-1.el6.x86_64
MySQL-server-5.5.54-1.el6.x86_64
MySQL-shared-compat-5.5.54-1.el6.x86_64
perl-DBD-MySQL-4.013-3.el6.x86_64
percona-toolkit-3.0.2-1.el6.x86_64

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.